#include <bits/stdc++.h>

using namespace std;




int main()
{
    long long k;
    long long prethodni=3;
    long long br1=0;
    long long br0=0;
    long long i=0;
    long long brojac=0;
    long long niz1[100];
    long long niz2[100];
    char c;
    int h=0;
    while  (cin>>c)
    {
        brojac++;
        k=c-'0';
        if (prethodni!=k)
        {
            if (prethodni==1)
            {
                niz1[i]=prethodni;
                niz2[i]=br1;
                i++;
                br1=0;
            }
            if (prethodni==0)
            {
                niz1[i]=prethodni;
                niz2[i]=br0;
                i++;
                br0=0;
            }
        }
        if (k==1)
            br1++;
        if (k==0)
            br0++;
        if (k!=0 && k!=1)
        {
            h=1;
        }
        prethodni=k;
    }
    if (prethodni==1)
    {
        niz1[i]=prethodni;
        niz2[i]=br1;
        i++;
    }
    if (prethodni==0)
    {
        niz1[i]=prethodni;
        niz2[i]=br0;
        i++;
    }
    long long model1[i];
    long long model2[i];
    for (int j=0;j<i;j++)
    {
        model1[j]=1;
        model2[j]=0;
    }
    long long brojac1=0;
    long long brojac2=0;
    long long mini=brojac;
    for (long long  j=0;j<i;j++)
    {
        brojac1=0;
        brojac2=0;
        model1[j]=0;
        model2[j]=1;
        for (long long f=0;f<i;f++)
        {
            if (model1[f]!=niz1[f])
            {
                brojac1=brojac1+niz2[f];
            }
            if (model2[f]!=niz1[f])
            {
                brojac2=brojac2+niz2[f];
            }

        }
        if (brojac1<mini)
            mini=brojac1;
        if (brojac2<mini)
            mini=brojac2;
    }
    if (h!=1)
    {
        cout<<mini<<endl;
    }
    else
    {
        cout<<h;
    }

}